
From: James Simmons <jsimmons@infradead.org>

Remove kd.h.  We don't need this header.  Use the inline functions to set
the current process state.



---

 25-akpm/drivers/char/n_tty.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

diff -puN drivers/char/n_tty.c~n_tty-cleanup drivers/char/n_tty.c
--- 25/drivers/char/n_tty.c~n_tty-cleanup	Tue Feb 24 14:04:34 2004
+++ 25-akpm/drivers/char/n_tty.c	Tue Feb 24 14:04:34 2004
@@ -40,7 +40,6 @@
 #include <linux/tty.h>
 #include <linux/timer.h>
 #include <linux/ctype.h>
-#include <linux/kd.h>
 #include <linux/mm.h>
 #include <linux/string.h>
 #include <linux/slab.h>
@@ -1091,7 +1090,7 @@ do_it_again:
 			set_bit(TTY_DONT_FLIP, &tty->flags);
 			continue;
 		}
-		current->state = TASK_RUNNING;
+		set_current_state(TASK_RUNNING);
 
 		/* Deal with packet mode. */
 		if (tty->packet && b == buf) {
@@ -1170,7 +1169,7 @@ do_it_again:
 	if (!waitqueue_active(&tty->read_wait))
 		tty->minimum_to_wake = minimum;
 
-	current->state = TASK_RUNNING;
+	set_current_state(TASK_RUNNING);
 	size = b - buf;
 	if (size) {
 		retval = size;
@@ -1246,7 +1245,7 @@ static ssize_t write_chan(struct tty_str
 		schedule();
 	}
 break_out:
-	current->state = TASK_RUNNING;
+	set_current_state(TASK_RUNNING);
 	remove_wait_queue(&tty->write_wait, &wait);
 	return (b - buf) ? b - buf : retval;
 }

_
